# testnet-ops

## Installation

- Install [Ansible](https://docs.ansible.com/ansible/latest/installation_guide/intro_installation.html#installing-and-upgrading-ansible-with-pip)

- Add location of the directory containing the ansible binary to your `PATH`

- Set Locale Encoding to `UTF-8`

  Ansible requires the locale encoding to be `UTF-8`. You can either use the `LANG` prefix when running Ansible commands or set the system-wide locale

  - Option 1: Use `LANG` Prefix in Commands

    If you prefer not to change the system-wide locale, you can use the `LANG` prefix when running Ansible commands:

    ```bash
    LANG=en_US.UTF-8 ansible-playbook your_playbook.yml
    ```

  - Option 2: Set System-Wide Locale

    - Edit the `/etc/default/locale` file:

      ```bash
      sudo nano /etc/default/locale
      ```

    - Set the `LANG` variable to en_US.UTF-8:

      ```
      LANG="en_US.UTF-8"
      ```

    - Reboot your system or log out and log back in to apply the changes

    - Reference: <https://udhayakumarc.medium.com/error-ansible-requires-the-locale-encoding-to-be-utf-8-detected-iso8859-1-6da808387f7d>

## Playbooks

- [stack-orchestrator-setup](./stack-orchestrator-setup/README.md)
- [l2-setup](./l2-setup/README.md)
- [nitro-node-setup](./nitro-nodes-setup/README.md)
- [nitro-bridge-setup](./nitro-bridge-setup/README.md)
- [nitro-contracts-setup](./nitro-contracts-setup/README.md)
- [service-provider-setup](./service-provider-setup/README.md)
